QGIS Application - Bug report #16589

No fields display in expression editor under Fields an values (QGIS 2.18.8)

2017-05-21 11:34 PM - Claas Leiner

Status: Closed
Priority: High
Assignee:

Category: Expressions

Affected QGIS version:2.18.7
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution:

Copied to github as #: 24491

Description

In QGIS 2.18.8 it is not possible in the expression editor (Select by Expresssion / FieldCalculatur) to display the list of fields under "Fields

and Values".There is only the entry NULL. The use of the expression editor is now very difficult.

Best regards Claas

Related issues:

Related to QGIS Application - Bug report # 16595: No "Recently used expressio...

Closed

Associated revisions

Revision 20dde725 - 2017-05-23 12:17 AM - Nyall Dawson

Followup 2185d42, fix missing field names in expression builder

(fixes #16589, #16595)

cherry-picked from 9a19a5f

History

#1 - 2017-05-22 03:38 AM - Nyall Dawson

Can you confirm your build number? This should already be fixed.

#2 - 2017-05-22 09:34 AM - Giovanni Manghi
- Status changed from Open to Feedback

#3 - 2017-05-22 11:17 AM - Antonio Viscomi
- File expression_builder_bug.jpg added

Claas Leiner wrote:

In QGIS 2.18.8 it is not possible in the expression editor (Select by Expresssion / FieldCalculatur) to display the list of fields under "Fields and

Values". There is only the entry NULL. The use of the expression editor is now very difficult.

Best regards Claas
Hello,

| confirm the bug in Qgis 2.18.8 build cde1d78
upgraded 2017/05/22 at 10.30 am.

There seems to have been no fix

| attach screenshot

Best regards Antonio

#4 - 2017-05-22 11:18 AM - Antonio Viscomi
- File expression_builder_bug.jpg added
Nyall Dawson wrote:
Can you confirm your build number? This should already be fixed.
Hello,
| confirm the bug in Qgis 2.18.8 build cde1d78
upgraded 2017/05/22 at 10.30 am.
There seems to have been no fix

| attach screenshot
Best regards Antonio

#5 - 2017-05-22 12:26 PM - Saber Razmjooei
- Status changed from Feedback to Open

Confirmed in commit:af8fb04

#6 - 2017-05-22 12:31 PM - Saber Razmjooei

Also in commit:52a9c6d

Cheers
Saber

#7 - 2017-05-22 05:36 PM - Giovanni Manghi
- Status changed from Open to In Progress

How this is different from #165957?

#8 - 2017-05-22 06:13 PM - Salvatore Larosa
- Operating System deleted (Windows 7 / Linux Ubuntu 16.04)
- Category changed from Field calculator to Expressions

This regression was introduced since commit:2185d42dbcd81be4e45498cdacd82ee74fcb59c¢7 in order to fix the issue #15633.
I think that commit should be reverted and then finding a better fix for the processing field calculator.

Thinking to some solution for the processing field calculator, | guess we need to reset/remove scope from context when switching between layers.

Anyway, here | done a patch if we want leave things like they are now, without reverting the above commit.

#9 - 2017-05-22 08:58 PM - Nyall Dawson

commit:9a19a5fc587e0764afee91c038cede04e4602fcc is the fix - it just needs backporting

#10 - 2017-05-23 12:18 AM - Nyall Dawson

- Status changed from In Progress to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|20dde725c4bfeb6c920ecd0b60d3604aaf1be991.

#11 - 2017-05-23 12:22 AM - Salvatore Larosa

Backporting done and fixed some related issue with commit:6c126a3a960d2d148e9d892a65e636773ef945bd.

#12 - 2017-05-25 10:37 AM - Jiirgen Fischer

- Duplicated by Bug report #16595: No "Recently used expressions" in expression editor added

#13 - 2017-05-25 10:38 AM - Jiirgen Fischer
- Duplicated by deleted (Bug report #16595: No "Recently used expressions" in expression editor)

#14 - 2017-05-25 10:38 AM - Jiirgen Fischer
- Related to Bug report #16595: No "Recently used expressions" in expression editor added

#15 - 2017-05-26 04:54 PM - Tom Fish

Just as a heads up, this was reported on reddit

https://www.reddit.com/r/gis/comments/6dchdn/new_qgis user_select by expression_issue/?st=j35yvxmm&#38;sh=434{97fd
https://github.com/qgis/QGIS/compare/release-2_18...slarosa:fix_16589
